POST Venues by Discount

​

Get Venues by Discount

Path Parameters

  • Discount ID

Headers

  • Unique request identifier

  • Application key

  • Accept header

  • Api version

  • Authorization header

  • Local language code (in format xx-XX, or simpler xx) for translation purposes

Body

application/json

Responses

  • application/json
Request Example for post/discounts/{discount_id}/venues
curl https://api-public-demo.menu.app/api/discounts/775992c5-89be-4027-81fc-a6554e293fc4/venues \
  --request POST \
  --header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
  --header 'Application: ' \
  --header 'Accept: application/json' \
  --header 'API-version: 5.0.0' \
  --header 'Authorization: ' \
  --header 'Content-Language: en' \
  --header 'Content-Type: application/json' \
  --data '{
  "latitude": 45.265062531301126,
  "longitude": 19.8317777885037
}'
{
  "status": "string",
  "code": 200,
  "data": {
    "delivery_venues": [
      {
        "venue": {
          "id": "b8baafab-3f22-11ed-936c-1a67b454859d",
          "name": "Kauwela Austin 2",
          "code": 23390,
          "timezone": {
            "name": "Europe/Belgrade",
            "offset": "+02:00"
          },
          "translations": {
            "description": "\"\"",
            "kiosk_receipt_footer": "\"\"",
            "welcome_message": "\"\""
          },
          "address": "Test address 1, Austin, Texas",
          "state": 1,
          "city": "Austin",
          "zip": 21000,
          "latitude": 45.266738,
          "longitude": 19.830323,
          "tax_number": "\"\"",
          "phone": "\"\"",
          "price_configuration": {
            "order_types": [
              {
                "type_id": 1,
                "price_configuration": null
              }
            ]
          },
          "cuisine": "\"\"",
          "store_url": "\"\"",
          "is_shown_in_directory": true,
          "allow_item_comments": true,
          "tip_default": 0,
          "tip_max": 0,
          "service_charge": 0,
          "pickup_time": 2,
          "is_pickup_on_open_allowed": true,
          "calculation_method": "inclusive",
          "image": "null",
          "available_payment_methods": [
            {
              "id": 20221,
              "payment_method_id": "027b59de-97cb-48a0-9404-37f426659bad",
              "payment_method_type_id": 1,
              "payment_method_brand": "Visa",
              "payment_processor_type_id": 2,
              "payment_processor_id": "8e5b0340-42bd-4eb8-b06a-836f28fb1f73",
              "properties": {},
              "fraud_detection_processor_id": "null",
              "visibility_scopes": "null"
            }
          ],
          "country": {
            "name": "Serbia",
            "code": "RS",
            "calling_code": "+381",
            "distance_unit": "km",
            "currency_settings": {
              "currency_space": true,
              "decimal_separator": ".",
              "thousands_separator": ".",
              "symbol_position": "left"
            }
          },
          "currency": {
            "id": "589c6caf-2361-42d8-b703-2a87424d1287",
            "code": "EUR",
            "code_numeric": 978,
            "symbol": "€",
            "rounding_unit": 0.01,
            "rounding_unit_tip": 0.01
          },
          "serving_times": [
            {
              "id": "754e3bef-64e2-463b-80c0-10c3a1f275c2",
              "type_id": 2,
              "reference_type": "WeekDays",
              "time_from": "00:30",
              "time_to": "23:00",
              "delivery_at": "00:00",
              "days": [
                1
              ]
            }
          ],
          "menu_id": "1cffdd14-3f23-11ed-936c-1a67b454859d"
        },
        "deliver_now": true,
        "deliver_later": true,
        "relative_time": 7,
        "absolute_time": "2023-04-11 09:39:49",
        "delivery_fee": 444,
        "minimal_order_amount": 800
      }
    ]
  }
}